Subject: RE: [AAA-WG]: Date: Mon, 23 Apr 2001 11:02:13 +0200

From: "Martin Julien (ECE)" <[email-masked]>
Date: Wed, 25 Apr 2001 11:26:33 +0200

Hi Pat,

Some comments on this.

Regards,
Martin

> > Furthermore, why is needed any distinction between them? If 
> there is no
> > strong argument maybe we can get rid of Request/Query and
> > Response/Reply/Answer difference, and simply talk about Requests and
> > Responses through all the spec.
> 
> We could, but there were cases where Queries exist, and these 
> are a particular
> type of message. See the Resource-Management (non WG 
> document) as an example.

What do you mean by a particular type of request? Is it only a 
nomenclature issue?, or is it because a query message can be
handled differently than a request or indication message? Is it
a question of priorities in terms of tasks?, or importance
with regards to discarding the message or not answering it?

> > Last paragraph in section 5.0 refers to mandatory AVPs for 
> all messages
> >    This section defines the Diameter AVPs that MUST be added in all
> >    messages originated by a Diameter node (including nodes creating
> >    Response and Answer messages).
> > but Destination-FQDN is used in Indication, Reply and 
> Answers only, so, it
> > should not belong to this chapter, or better, this last 
> paragraph in section
> > 5.0 can be removed, as it adds no information, but  it can 
> lead to confusion
> > about this Destination-FQDN AVP.
> 
> The Destination-FQDN CAN in fact be present in request or 
> queries. This is
> useful in messages that require multiple round trips, or when 
> e2e security is
> used, and the message has a specific target.

The confusion comes from "...that MUST be added in all messages 
originated by a Diameter node". I guess you meant "unsolicited 
server initiated messages" from Diameter nodes, right? Like you're
saying, they also may be included in request from clients, but
not necessarily, which means that MUST NOT be in all messages.
I think it is a question of wording.

Also, I would agree that the Destination-FQDN AVP MUST be part 
of all answer/response messages, since the Origin-FQDN is part
of every upstream message, and it makes sense that the Home server uses
it within the answer/response messages. Also, it should always be used
for the last hop to the client, as you seem to agree from the section
12.1.

> > I miss as well how the Response is routed back to the Diameter
> > client (which is not present in the drawing, and it will 
> made it clearer, as
> > DI1 is not the originator of the message, but the first proxy). With
> > Destination-FQDN set to DIA1, how the response can reach 
> the client ?
> 
> DIA1 *is* the client. The client's FQDN is in the 
> Destination-FQDN AVP.

If you agree that DIA1 is the client, then why is it including
a Route-Record AVP? I think that the Origin-FQDN AVP should be
enough for the answer to include a Destination-FQDN for routing
back to the client.

From this example, you seem to agree that every answer/response
should also ALWAYS include a Destination-FQDN AVP, right?

---

From: Patrice Calhoun <[email-masked]>
Date: Wed, 25 Apr 2001 06:57:18 -0700 (PDT)

> with regards to discarding the message or not answering it?

I am beginning to agree with you. I believe that we could just do away with
the Query, and re-use the Request messages for everything. Does anyone have
any objections? In any case, there aren't any WG documents that actually use
Query, just the Resource-Management extension, which is currently a personal
contribution.

> I think it is a question of wording.

You are correct. I will clean this text up for the -03 version.

> for the last hop to the client, as you seem to agree from the section

Correct.

> enough for the answer to include a Destination-FQDN for routing

Correct. I will fix that as well.

PatC